org.keycloak.services.clientregistration

## Class ClientRegistrationTokenUtils

- java.lang.Object
- - org.keycloak.services.clientregistration.ClientRegistrationTokenUtils

-     public class ClientRegistrationTokenUtils
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ClientRegistrationTokenUtils.TokenVerification`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_INITIAL_ACCESS_TOKEN`
    `static String` | `TYPE_REGISTRATION_ACCESS_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRegistrationTokenUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createInitialAccessToken(KeycloakSession session, RealmModel realm, ClientInitialAccessModel model)`
    `static String` | `updateRegistrationAccessToken(KeycloakSession session, ClientModel client, RegistrationAuth registrationAuth)`
    `static String` | `updateRegistrationAccessToken(KeycloakSession session, RealmModel realm, ClientModel client, RegistrationAuth registrationAuth)`
    `static String` | `updateTokenSignature(KeycloakSession session, ClientRegistrationAuth auth)`
    `static ClientRegistrationTokenUtils.TokenVerification` | `verifyToken(KeycloakSession session, RealmModel realm, String token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_INITIAL_ACCESS_TOKEN

          public static final String TYPE_INITIAL_ACCESS_TOKEN

      See Also:
        Constant Field Values

    - #### TYPE_REGISTRATION_ACCESS_TOKEN

          public static final String TYPE_REGISTRATION_ACCESS_TOKEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientRegistrationTokenUtils

          public ClientRegistrationTokenUtils()

  - ### Method Detail

    - #### updateTokenSignature

          public static String updateTokenSignature(KeycloakSession session,
                                                    ClientRegistrationAuth auth)

    - #### updateRegistrationAccessToken

          public static String updateRegistrationAccessToken(KeycloakSession session,
                                                             ClientModel client,
                                                             RegistrationAuth registrationAuth)

    - #### updateRegistrationAccessToken

          public static String updateRegistrationAccessToken(KeycloakSession session,
                                                             RealmModel realm,
                                                             ClientModel client,
                                                             RegistrationAuth registrationAuth)

    - #### createInitialAccessToken

          public static String createInitialAccessToken(KeycloakSession session,
                                                        RealmModel realm,
                                                        ClientInitialAccessModel model)

    - #### verifyToken

          public static ClientRegistrationTokenUtils.TokenVerification verifyToken(KeycloakSession session,
                                                                                   RealmModel realm,
                                                                                   String token)

Copyright © 2020 JBoss by Red Hat. All rights reserved.